IPMASK(8)

NAME
ipmask - determine network and broadcast addresses given a decimal netmask and IP address.

SYNOPSIS
ipmask <decimal netmask> <decimal IP address>

DESCRIPTION
ipmask is a simple program to calculate broadcast and network addresses from a decimal netmask and a decimal IP address. It is used in the Slackware networking script /etc/rc.d/rc.inet1, and in the netconfig script.

OPTIONS

<decimal netmask>
    A decimal netmask, such as: 255.255.255.0

<decimal IP address>
    A decimal IP address, such as: 192.168.168.168

EXAMPLE
Using the above sample netmask and IP address, here's an example:

$ ipmask 255.255.255.0 192.168.168.168

192.168.168.255 192.168.168.0

The program returns first the corresponding broadcast address, and then the network address.

AUTHOR
Copyright 1994 by David Niemi. Written in about 30 minutes on 13 Aug. The author places no restrictions on the use of this program, provided that this copyright is preserved in any derived source code.